summaryrefslogtreecommitdiffstats
path: root/wiki/src/news/test_1.0-rc1.mdwn
blob: 3f5d12d0776ede916fc44e20a0fb899dc1c92ef0 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
[[!meta title="Call for testing: 1.0~rc1"]]

[[!meta date="2014-04-18 12:00:00"]]

You can help Tails! The first release candidate for the upcoming version
1.0 is out. Please test it and see if it works for you.

[[!toc levels=1]]

How to test Tails 1.0~rc1?
=============================

1. **Keep in mind that this is a test image.** We have made sure
   that it is not broken in an obvious way, but it might still contain
   undiscovered issues.

2. Either try the <a href="#automatic_upgrade">automatic upgrade</a>, or
   download the ISO image and its signature:

   <a class="download-file" href="http://dl.amnesia.boum.org/tails/alpha/tails-i386-1.0~rc1/tails-i386-1.0~rc1.iso" >Tails 1.0~rc1 ISO image</a>

   <a class="download-signature"
   href="https://tails.boum.org/torrents/files/tails-i386-1.0~rc1.iso.sig">Tails 1.0~rc1 signature</a>

1. Verify the ISO image.

1. Have a look at the list of [[longstanding known
   issues|support/known_issues]].

1. Test wildly!

If you find anything that is not working as it should, please [[report to
us|doc/first_steps/bug_reporting]]! Bonus points if you check if it is a
[[longstanding known issue|support/known_issues]].

<div id="automatic_upgrade"></a>

How to automatically upgrade from 0.23?
=======================================

These steps allow you to automatically upgrade a device installed with <span
class="application">Tails Installer</span> from Tails 0.23 to Tails 1.0~rc1.

1. Start Tails 0.23 and [[set an administration
   password|doc/first_steps/startup_options/administration_password]].

1. Run this command in a <span class="application">Root
   Terminal</span> to select the "alpha" upgrade channel
   and start the upgrade:

       echo TAILS_CHANNEL=\"alpha\" >> /etc/os-release && \
            tails-upgrade-frontend-wrapper

1. Once the upgrade has been installed, restart Tails and choose
   <span class="menuchoice">
     <span class="guimenu">System</span>&nbsp;&#x25B8;
     <span class="guimenuitem">About Tails</span>
   </span>
   to confirm that the running system is Tails 1.0~rc1.

What's new since 0.23?
======================

* Bugfixes
  - Disable inbound I2P connections. Tails already restricts incoming
    connections, but this change tells I2P about it.
  - Fix link to the system requirements documentation page in the Tails
    Upgrader error shown when too little RAM is available.

* Minor improvements
  - Upgrade I2P to 0.9.12-2~deb6u+1.
  - Import TorBrowser profile. This was forgotten in Tails 0.23 and even
    though we didn't explicitly set those preferences in that release
    they defaulted to the same values. This future-proofs us in case the
    defaults would ever change.
  - Import new custom version of Tor Launcher:
    * Based on upstream Tor Launcher 0.2.5.3.
    * Improve how Tor Launcher handles incomplete translation.  (Tor
      bug [[!tor_bug 11483]]; more future-proof fix for Tails bug
      [[!tails_ticket 6885]])
    * Remove the bridge settings prompt. (Tor bug [[!tor_bug 11482]];
      closes Tails bug [[!tails_ticket 6934]])
    * Always show bridge help button. (Tor bug [[!tor_bug 11484]])

See the <a href="https://git-tails.immerda.ch/tails/plain/debian/changelog?h=stable">online
Changelog</a> for technical details.